=== debian/changelog ===
yder (1.1-2) unstable; urgency=medium

  * update dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 24 Jul 2017 20:18:42 +0200

yder (1.1-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jul 2017 19:32:33 +0200
