=== debian/control ===
Source: yder
Section: devel
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 10)
	, liborcania-dev
	, libjansson-dev
Standards-Version: 4.0.0
Homepage: https://github.com/babelouest/yder
#Vcs-Git: https://anonscm.debian.org/collab-maint/oauth2-server.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/oauth2-server.git

Package: libyder2.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: logging library written in C
 Simple and easy to use logging library. You can log messages to the 
 console, a file or syslog.
 .
 Yder is mono-thread, which mean that you can use only one instance 
 of yder log at the same time in your program.

Package: libyder-dev
Architecture: any
Section: libdevel
Depends: libyder2.0 (= ${binary:Version})
        , ${misc:Depends}
	, liborcania-dev
        , libjansson-dev
Description: logging library written in C - development
 Simple and easy to use logging library. You can log messages to the 
 console, a file or syslog.
 .
 Yder is mono-thread, which mean that you can use only one instance 
 of yder log at the same time in your program.
 .
 This package contains the development files.
