=== debian/changelog ===
yder (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: use dh11

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Jan 2018 18:01:00 +0100

yder (1.1-3) unstable; urgency=medium

  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Sep 2017 19:28:42 +0200
