=== debian/changelog ===
yder (1.3.3-2build1) cosmic; urgency=medium

  * No-change rebuild for liborcania soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 May 2018 10:02:10 +0200

yder (1.3.3-2) unstable; urgency=medium

  * Install examples and README.md
  * Fix lintian warnings

 -- Nicolas Mora <nicolas@babelouest.org>  Tue, 24 Apr 2018 11:57:11 -0400

yder (1.3.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: use cmake as buildsystem
  * debian/copyright: add cmake scripts

 -- Nicolas Mora <nicolas@babelouest.org>  Sat, 21 Apr 2018 08:23:11 -0400
