=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: yder
 Section: devel
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
+          , Nicolas Mora <nicolas@babelouest.org>
 Build-Depends: debhelper (>= 11)
 	, liborcania-dev
 	, libjansson-dev
+  , libsystemd-dev
+  , cmake
 Standards-Version: 4.1.3
 Homepage: https://github.com/babelouest/yder
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/yder.git
-Vcs-Git: https://anonscm.debian.org/git/debian-iot/yder.git
+Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/yder.git
+Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/yder.git
 
 Package: libyder2.0
 Architecture: any
@@ -26,8 +30,9 @@
 Section: libdevel
 Depends: libyder2.0 (= ${binary:Version})
         , ${misc:Depends}
-	, liborcania-dev
+        , liborcania-dev
         , libjansson-dev
+        , libsystemd-dev
 Description: logging library written in C - development
  Simple and easy to use logging library. You can log messages to the
  console, a file or syslog.
