## yder 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,14 +24,16 @@
 # library info
 
 set(PROJECT_DESCRIPTION "Logging library for C applications")
+set(PROJECT_HOMEPAGE_URL "https://github.com/babelouest/yder/")
 set(PROJECT_BUGREPORT_PATH "https://github.com/babelouest/yder/issues")
-
 set(LIBRARY_VERSION_MAJOR "1")
-set(LIBRARY_VERSION_MINOR "3")
-set(LIBRARY_VERSION_PATCH "3")
+set(LIBRARY_VERSION_MINOR "4")
+set(LIBRARY_VERSION_PATCH "4")
+set(PROJECT_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
+
 set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
 set(LIBRARY_SOVERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}")
-set(ORCANIA_VERSION_DOWNLOAD "1.2.3")
+set(ORCANIA_VERSION_DOWNLOAD "1.2.8")
 
 # cmake modules
 
@@ -65,29 +67,6 @@
 set(LIB_SRC
         ${INC_DIR}/yder.h # allow many IDEs to find and edit it
         ${SRC_DIR}/yder.c)
-
-# static library
-
-option(BUILD_STATIC "Build static library." OFF)
-
-if (BUILD_STATIC)
-    add_library(yder_static STATIC ${LIB_SRC})
-    target_compile_definitions(yder_static PUBLIC -DO_STATIC_LIBRARY)
-    set_target_properties(yder_static PROPERTIES
-            OUTPUT_NAME yder)
-endif ()
-
-# shared library
-
-add_library(yder SHARED ${LIB_SRC})
-set_target_properties(yder PROPERTIES
-        COMPILE_OPTIONS -Wextra
-        PUBLIC_HEADER ${INC_DIR}/yder.h
-        VERSION "${LIBRARY_VERSION}"
-        SOVERSION "${LIBRARY_SOVERSION}")
-if (WIN32)
-    set_target_properties(yder PROPERTIES SUFFIX "-${LIBRARY_VERSION_MAJOR}.dll")
-endif ()
 
 # dependencies
 
@@ -99,36 +78,79 @@
   if (SYSTEMD_FOUND)
       set(SYSTEMD_LIBRARIES systemd)
       include_directories(${SYSTEMD_INCLUDE_DIRS})
+      set(DISABLE_JOURNALD OFF)
   endif ()
 else()
   add_definitions(-DY_DISABLE_JOURNALD)
-endif ()
-
-option(CHECK_ORCANIA "Check Orcania library." ON)
-
-if (CHECK_ORCANIA)
-	set(Orcania_FIND_QUIETLY ON) # force to find Orcania quietly
-	include(FindOrcania)
-	find_package(Orcania 1.1 QUIET) # try to find orcania
-	if (NOT ORCANIA_FOUND)
-			include(DownloadProject)
-			download_project(PROJ orcania # ... otherwise, download archive
-							URL "https://github.com/babelouest/orcania/archive/v${ORCANIA_VERSION_DOWNLOAD}.tar.gz"
-							QUIET)
-			add_subdirectory(${orcania_SOURCE_DIR} ${orcania_BINARY_DIR})
-			include_directories(${orcania_SOURCE_DIR}/include)
-			add_dependencies(yder orcania)
-			set(ORCANIA_LIBRARIES orcania)
-	endif ()
+  set(DISABLE_JOURNALD ON)
+endif ()
+
+# shared library
+
+add_library(yder SHARED ${LIB_SRC})
+set_target_properties(yder PROPERTIES
+        COMPILE_OPTIONS -Wextra
+        PUBLIC_HEADER "${INC_DIR}/yder.h;${PROJECT_BINARY_DIR}/yder-cfg.h"
+        VERSION "${LIBRARY_VERSION}"
+        SOVERSION "${LIBRARY_SOVERSION}")
+if (WIN32)
+    set_target_properties(yder PROPERTIES SUFFIX "-${LIBRARY_VERSION_MAJOR}.dll")
 endif ()
 
 target_link_libraries(yder ${LIBS} ${ORCANIA_LIBRARIES} ${SYSTEMD_LIBRARIES})
 
+# static library
+
+option(BUILD_STATIC "Build static library." OFF)
+
+if (BUILD_STATIC)
+    add_library(yder_static STATIC ${LIB_SRC})
+    target_compile_definitions(yder_static PUBLIC -DO_STATIC_LIBRARY)
+    set_target_properties(yder_static PROPERTIES
+            OUTPUT_NAME yder)
+endif ()
+
+option (SEARCH_ORCANIA "Search for Orcania library" ON)
+if (SEARCH_ORCANIA)
+    set(Orcania_FIND_QUIETLY ON) # force to find Orcania quietly
+    include(FindOrcania)
+    find_package(Orcania 1.1 QUIET) # try to find orcania
+    if (NOT ORCANIA_FOUND)
+        include(DownloadProject)
+        download_project(PROJ orcania # ... otherwise, download archive
+            URL "https://github.com/babelouest/orcania/archive/v${ORCANIA_VERSION_DOWNLOAD}.tar.gz"
+            QUIET)
+        add_subdirectory(${orcania_SOURCE_DIR} ${orcania_BINARY_DIR})
+        include_directories(${orcania_SOURCE_DIR}/include)
+        include_directories(${orcania_BINARY_DIR})
+        add_dependencies(yder orcania)
+        set(ORCANIA_LIBRARIES orcania)
+        set(LIBS ${LIBS} ${ORCANIA_LIBRARIES})
+    else()
+        set(LIBS ${LIBS} ${ORCANIA_LIBRARIES})
+        include_directories(${ORCANIA_INCLUDE_DIRS})
+        include_directories(${orcania_BINARY_DIR})
+    endif ()
+endif ()
+
+if (WITH_JOURNALD)
+  set(PKGCONF_REQ "")
+  set(PKGCONF_REQ_PRIVATE "libsystemd, liborcania")
+else ()
+  set(PKGCONF_REQ "")
+  set(PKGCONF_REQ_PRIVATE "liborcania")
+endif ()
+
+# build yder-cfg.h file
+configure_file(${INC_DIR}/yder-cfg.h.in ${PROJECT_BINARY_DIR}/yder-cfg.h)
+set (CMAKE_EXTRA_INCLUDE_FILES ${PROJECT_BINARY_DIR})
+include_directories(${PROJECT_BINARY_DIR})
+
 # tests
 
-option(BUILD_TESTING "Build the testing tree." OFF) # because we don not use include(CTest)
-
-if (BUILD_TESTING)
+option(BUILD_YDER_TESTING "Build the testing tree." OFF) # because we don not use include(CTest)
+
+if (BUILD_YDER_TESTING)
     include(FindCheck)
     find_package(Check)
     if (CHECK_FOUND)
@@ -173,7 +195,7 @@
 configure_file(libyder.pc.in libyder.pc @ONLY)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libyder.pc
-        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pkgconfig)
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 set(TARGETS yder)
 if (BUILD_STATIC)
@@ -224,12 +246,25 @@
 set(PACKAGE_IGNORED_FILES
         "${CMAKE_CURRENT_BINARY_DIR}/;/.git/;.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
 
+set(CPACK_PACKAGE_NAME "libyder")
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Logging library for C applications")
 set(CPACK_GENERATOR "TGZ;DEB")
-set(CPACK_DEBIAN_PACKAGE_NAME "libyder")
+set(CPACK_PACKAGE_VERSION_MAJOR ${LIBRARY_VERSION_MAJOR})
+set(CPACK_PACKAGE_VERSION_MINOR ${LIBRARY_VERSION_MINOR})
+set(CPACK_PACKAGE_VERSION_PATCH ${LIBRARY_VERSION_PATCH})
+
+option(BUILD_RPM "Build a RPM for your system" OFF)
+if (BUILD_RPM)
+  set(CPACK_GENERATOR "TGZ;DEB;RPM")
+  set(CPACK_RPM_PACKAGE_LICENSE "LGPL")
+  set(CPACK_RPM_PACKAGE_URL "http://babelouest.github.io/yder/")
+endif ()
+
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "mail@babelouest.org")
-set(CPACK_DEBIAN_PACKAGE_DESCRIPTION ${PROJECT_DESCRIPTION})
-set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://github.com/babelouest/yder")
 set(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.4), liborcania (>= 1.2)")
+if (WITH_SYSTEMD)
+  set(CPACK_DEBIAN_PACKAGE_DEPENDS "${CPACK_DEBIAN_PACKAGE_DEPENDS}, libsystemd0")
+endif ()
 set(CPACK_PACKAGE_FILE_NAME ${PACKAGE_FILE_NAME})
 
 set(CPACK_SOURCE_GENERATOR "TGZ")
@@ -240,3 +275,9 @@
 
 add_custom_target(dist_y
         COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+
+message(STATUS "Journald support: ${WITH_JOURNALD}")
+message(STATUS "Build static library: ${BUILD_STATIC}")
+message(STATUS "Build testing tree: ${BUILD_ULFIUS_TESTING}")
+message(STATUS "Install the header files: ${INSTALL_HEADER}")
+message(STATUS "Build RPM package: ${BUILD_RPM}")
