=== debian/changelog ===
yder (1.4.4-6) unstable; urgency=medium

  * debian/control: bump standard to 4.4.0 (no changes)
  * debian/tests: Fix debci unit-test

 -- Nicolas Mora <nicolas@babelouest.org>  Sat, 31 Aug 2019 20:05:05 -0400

yder (1.4.4-5) unstable; urgency=medium

  * debian/patches/cmake.patch: remove PKGCONF_REQ_PRIVATE patch
                                (Closes: #926317)

 -- Nicolas Mora <nicolas@babelouest.org>  Thu, 04 Apr 2019 19:22:12 -0400

yder (1.4.4-4) unstable; urgency=medium

  * debian/tests/control: fix autopkgtest dependencies
  * debian/rules: clarify dh_auto_configure to explicitly declare options
                  build tests from cmake instead of Makefile

 -- Nicolas Mora <nicolas@babelouest.org>  Sat, 05 Jan 2019 09:57:18 -0500

yder (1.4.4-3) unstable; urgency=medium

  * debian/control: set libsystemd-dev dependency only for linux
  * debian/control: upgrade Standards-Version to 4.3.0 (no change)
  * debian/rules: disable journald support for non linux os (Closes: #912399)

 -- Nicolas Mora <nicolas@babelouest.org>  Tue, 01 Jan 2019 08:48:06 -0500

yder (1.4.4-2) unstable; urgency=medium

  * debian/*install: Add pkg-config file
  * debian/*install: multiarchify files
  * debian/patches/cmake.patch: fix PKGCONF_REQ_PRIVATE

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 16 Dec 2018 13:37:33 -0500

yder (1.4.4-1) unstable; urgency=medium

  * New upstream release
  * Add unit tests
  * Add autopkgtest

 -- Nicolas Mora <nicolas@babelouest.org>  Sat, 15 Dec 2018 12:43:52 -0500

yder (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <nicolas@babelouest.org>  Fri, 12 Oct 2018 18:27:04 -0400

yder (1.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 23 Sep 2018 09:04:52 -0400
