=== debian/control ===
--- 
+++ 
@@ -5,17 +5,21 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
           , Nicolas Mora <nicolas@babelouest.org>
 Build-Depends: debhelper (>= 11)
+	, autopkgtest (>= 5.6~)
+	, dh-exec
 	, liborcania-dev
 	, libjansson-dev
-  , libsystemd-dev
-  , cmake
-Standards-Version: 4.1.3
+	, libsystemd-dev [linux-any]
+	, cmake
+	, check
+Standards-Version: 4.4.0
 Homepage: https://github.com/babelouest/yder
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/yder.git
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/yder.git
 
 Package: libyder2.0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: logging library written in C
@@ -27,12 +31,13 @@
 
 Package: libyder-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libyder2.0 (= ${binary:Version})
-        , ${misc:Depends}
-        , liborcania-dev
-        , libjansson-dev
-        , libsystemd-dev
+	, ${misc:Depends}
+	, liborcania-dev
+	, libjansson-dev
+	, libsystemd-dev [linux-any]
 Description: logging library written in C - development
  Simple and easy to use logging library. You can log messages to the
  console, a file or syslog.
