=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,13 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+ARGS += -DWITH_JOURNALD=OFF
+else
+ARGS += -DWITH_JOURNALD=ON
+endif
 
 %:
 	dh $@ --buildsystem=cmake --builddirectory=build
@@ -21,5 +28,7 @@
 	echo dh_auto_install
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(ARGS) --no-warn-unused-cli
+	dh_auto_configure -- $(ARGS) -DBUILD_YDER_TESTING=ON \
+                               -DINSTALL_HEADER=ON \
+                               --no-warn-unused-cli
 	dh_installexamples
